from random import *

p=0
for i in range(1,4):
    a=random()
    if p==0:
        if a<1/2:
            p=1
        else:
            p=2
    else:
        if p==1:
            if a<1/2:
                p=0
            else:
                p=2
        else:
            if p==2:
                if a<1/2:
                    p=0
                else:
                    p=1
print(p)


